<?php
namespace Claromentis\Core\Cache;

$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_8fd6da143a742433037" . "d3741c26c9f14" => base64_decode("Q2xlYXJpbmcgbG9jYWwgYXNzZXRz" . "IGNhY2hl"), "_282505db60b6a60f1a0c54a0f8" . "c27092" => base64_decode("VEVNUExBVEVSX0NBQ0hFX0RJ" . "Ug=="), "_2ac6cb432a" . "5df959efdff" . "bcd288d0745" => base64_decode("Q2xlYXJpbmcgdGVtc" . "GxhdGVyIGNhY2hl"), "_2935eb81473a5cdf164ba" . "52dc31d305c" => base64_decode("Q2xlYXJpbmcgbWVtb3J5IGNhY2hlcw" . "=="), "_22ac6aa" . "e2762e0f" . "310c4953" . "84c477dc" . "8" => base64_decode("LmdpdGtlZXA" . "="), "_db7b295629faa16027a2c2" . "63095eba70" => base64_decode("cGhwX3NhcGlf" . "bmFtZQ=="), "_db98357" . "e662ee40" . "57f89ee5" . "0fd63a2c" . "5" => base64_decode("Q2xlYXJpbmcgc2hhcmVkIGFzc2" . "V0cyBjYWNoZQ=="), "_4d707fab93" . "bebb00bbe69" . "e8159697c90" => base64_decode(""), "_f02edf67305f5d984784e5a63a" . "cb5f0b" => base64_decode("U2tpcHBpbmcgY2xlYXJpbmcgbWVtb3J5IGNhY2hlcyAoc" . "nVubmluZyBmcm9tIHRoZSBjb21tYW5kIGxpbmUp"), "_edd716f0baedc2427c121be" . "529bf222d" => base64_decode("Q2xlYXJpbmcgYWxsIGxvY2FsIGNhY2hlcw" . "=="), "_3d13c2fddaab71a0" . "9eeaf22607f1db0f" => base64_decode("Q2xlYXJpbmcgYW" . "xsIHNoYXJlZCBj" . "YWNoZXM="), "_8368ecd0faa75c0" . "4b4e54eac3bd45d6" . "3" => base64_decode("Q2xlYXJpbmcgbG9jYWxpemF0aW9u" . "IGNhY2hl"), "_8fec21706b" . "d243b37ecf6" . "2b1caf8fb8a" => base64_decode("Y2" . "xp"), "_d9040256b" . "ff96ad2c22" . "1f79439e05" . "60c" => base64_decode("Q2xlYXJpbmc" . "gZGlyZWN0b3" . "J5IA=="));
use ClaCache;
use Claromentis\Core\Assets\AssetsPathGenerator;
use Claromentis\Core\Config\Config;
use Claromentis\Core\Localization\LocalizationPathGenerator;
use Claromentis\Core\Util\FilesystemUtil;
use Psr\Log\LoggerAwareTrait;
use Psr\Log\NullLogger;




class CacheClearer
{
    use LoggerAwareTrait;
    protected FilesystemUtil $filesystem_util;
    
    
    
    
    private $i18n_dir;
    
    
    
    
    private $assets_cache_dir;
    
    
    
    
    private $shared_assets_cache_dir;
    
    
    
    
    private $templater_cache_dir;
    
    
    
    
    private $cache_types;
    
    
    
    
    
    
    
    
    
    public function __construct(FilesystemUtil $_3e9dd802f6570205386040c44f4fa34c, AssetsPathGenerator $_d97d6167740e659d41e6072afead2dee, LocalizationPathGenerator $_d4919729bcd109cabacba2d3cebe6527, Config $config)
    {
        $this->filesystem_util = $_3e9dd802f6570205386040c44f4fa34c;
        $this->i18n_dir = $_d4919729bcd109cabacba2d3cebe6527->GetCacheRoot();
        $this->assets_cache_dir = $_d97d6167740e659d41e6072afead2dee->GetLocalCachePath();
        $this->shared_assets_cache_dir = $_d97d6167740e659d41e6072afead2dee->GetSharedCachePath();
        $this->cache_types = ClaCache::PRIMARY_CACHES;
        $this->templater_cache_dir = $config->get($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_282505db60b6a60f1a0c54a0f8c2" . "7092"]);
        $this->logger = new NullLogger();
    }
    
    
    
    
    public function Clear()
    {
        $this->Reset();
        $this->ResetShared();
    }
    
    
    
    
    public function Reset()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_edd716f0baedc2427c1" . "21be529bf222d"]);
        if ($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_db7b295629faa16027" . "a2c263095eba70"]() !== $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_8fec21706bd243b37ecf62b1ca" . "f8fb8a"]) {
            $this->ClearCla();
        } else {
            $this->logger->info($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_f02edf67" . "305f5d984" . "784e5a63a" . "cb5f0b"]);
        }
        $this->ClearLocalization();
        $this->ClearTemplater();
        $this->ClearAssets();
    }
    public function ResetShared()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_3d13c2fddaab71a09eeaf22607f" . "1db0f"]);
        $this->ClearAssetsShared();
    }
    
    
    
    
    
    
    public function ClearLocalization()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_8368ecd0faa75" . "c04b4e54eac3bd" . "45d63"]);
        return $this->ClearDirectory($this->i18n_dir);
    }
    
    
    
    
    
    
    public function ClearAssets()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_8fd6da143a742433037d3741c26c" . "9f14"]);
        return $this->ClearDirectory($this->assets_cache_dir);
    }
    public function ClearAssetsShared()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_db98357e662ee4057f89ee50" . "fd63a2c5"]);
        $this->ClearDirectory($this->shared_assets_cache_dir);
    }
    
    
    
    
    public function ClearCla()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_2935eb81473a5cdf16" . "4ba52dc31d305c"]);
        foreach ($this->cache_types as $type) {
            ClaCache::I($type)->Clear($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_4d707fab93bebb0" . "0bbe69e8159697c9" . "0"]);
        }
        ClaCache::Clear($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_4d707fab93bebb00bbe" . "69e8159697c90"], true);
    }
    public function ClearTemplater()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_2ac6cb432a5df959efd" . "ffbcd288d0745"]);
        return $this->ClearDirectory($this->templater_cache_dir);
    }
    
    
    
    
    
    
    
    private function ClearDirectory($_c4f3321d131869e51a8844b6bcd8fb86)
    {
        $this->logger->debug($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_d9040256bff96ad2c2" . "21f79439e0560c"] . $_c4f3321d131869e51a8844b6bcd8fb86);
        return $this->filesystem_util->DeleteDir($_c4f3321d131869e51a8844b6bcd8fb86, false, $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_22ac6aae2762e" . "0f310c495384c4" . "77dc8"]);
    }
}